You are here

Votes Requested - new content for 2.63

16 posts / 0 new
Last post
The Amethyst Dragon
Votes Requested - new content for 2.63

Hi all.

I've been working on a little something with the number 2.63 and I'm looking for people to go vote on some possible additions:

http://nwncep.wikia.com/wiki/Possible_Content_Additions

Y'all got a week (maybe a little less), because I'm done with fixes (at least for the next few days) and I'm itchin' to get moving on additions.

- The Amethyst Dragon
---------------
World of Aenea (The origin of almost all my works.)
My NWN Works: The Complete List (120+ entries...You want this stuff.)
CEP 2.63 (Oh, this? Just a little something I've been working on since 2014.)
------ Neverwinter Nights Community Site: The Unofficial Homepage for NWN ------

  • up
    100%
  • down
    0%
Proleric

Really appreciate this.

NWN and DAO adventures at http://proleric.com/

  • up
    50%
  • down
    50%
Tonden Ockay

If your going to create/update CEP then I for one would just like to see CEP haks split up into

Top.hak

Placeables_1.hak

Placeables_2.hak

Items_1.hak

Items_2.hak

Creatures_1.hak

Creatures_2.hak

Scripts.hak

Tileset_C.hak

Tileset_CI.hak

Tileset_R.hak

Tileset_RI.hak

Tileset_F.hak

Well you should get the point.

This would make it a whole lot easier for future builders to pick and chose which haks they want to use or not.

I know for me this is just a far better way to organize all the CEP content with in the haks and it would be a very nice system moving forward.

  • up
    50%
  • down
    50%
Andarian

Tonden: I don’t think that will be possible. It would not be backward compatible.

  • up
    50%
  • down
    50%
Tonden Ockay

I understand that, but at some point projects need totally reworked for the future going forward. When would it be a better time then now with NWN-EE coming out?

After all there are already more then one CEP any ways. So why not set everything straight and set the project up right for going forward.

Well that is just my opinion, do what you want. I just know that currently don't use it and I won't even download any modules that use it. I just feel it's one BIG mess the way it is currently setup. That said if it was setup/organized like the way I talked about then I would be more for it. 

I just thought I would give my opinion on why I don't use it and what could be done to get me to use it.

  • up
    0%
  • down
    100%
Siz

I must agree with Tonden Ockay

As a base I use Q and only once in a while pulling stuff out of CEP for my custom haks, the NWN EE is the right time to make some major changes, If someone wants to play a module that uses an older version - let them download the older version. I know the problem might be with few CEP haks 4gb+ but hey it's almost 2018 hdd space is cheap...

CEP right know for me is.. well bloated. I used it for 3 - 4 years and even when TAD did a grat job with newer versions it's still pure chaos.

 

Regards

 

 

Siz

  • up
    0%
  • down
    100%
The Amethyst Dragon

Most of the additional content in the CEP (that "bloat" a few people talk about) is creature & placeable appearances. If you want to use certain CEP content but not see everything in the toolset, it'd be easy enough for you to make your own custom top hak with edited appearance.2da and placeables.2da files that blank out the lines for the stuff you don't want to see.

The CEP will stay backward compatible so that it doesn't break current and past modules/PWs built with it, and so that it doesn't have another version that people would have to download to continue to get the newer material (like what happened when they changed from CEP 1 to CEP 2.0 way back in 2006).

  • up
    100%
  • down
    0%
Tonden Ockay
For me the way the haks are currently setup is just a mess, they just aren't organized correctly in my opinion. But hey some people don't care, so I guess its fine. All that said it's your choice, which is fine but again I won't be using or supporting it then.
  • up
    0%
  • down
    100%
meaglyn

Dude.   You have said this several times now. Repeating it will not change the facts.  I don't think you understand the meaning of backward compatible.  The changes you are asking for will totallly break every module ever built with CEP2.    That cannot be done.   And certainly not in a point release.

It's too bad you were not part of the CEP team when they re-did the haks between CEP1 and CEP2 or  you could have told them how to do it "correctly". But that ship has sailed.   An entirely new version (CEP3?) could be made which would again be incompatible with cep1 and cep2. But that's a different project and no one seems eager to do that at this point.

And... you are welcome not to use CEP if you don't want it  :)

  • up
    100%
  • down
    0%
JFK

 

Anyway, which of the Project Q haks do you choose not to use? Right. You use 'em all. My point is that separating the content like that is a good idea, but it's not life changing. I'll never understand complaining about 'all the crap' that's in CEP. Nobody's making anybody use any model in CEP. Pick out what you want in your module, for goodness sake. The idea is that anyone with CEP will be able to see what the builder USES, not everything in CEP.

Sheesh.

I don't believe this thread is for the purpose of discussing anything but votes for content to be included. There are other threads for other subjects. I'm sorry for adding to it.
 

Cheers,

JFK

My other  sword is a +5 Holy Avenger!

  • up
    100%
  • down
    0%
Shadooow

Maybe finally time for the mythic CEP 3.0?

  • up
    100%
  • down
    0%
Tonden Ockay

Sorry " Shadooow " I guess no one that uses CEP wants a CEP 3.0 and we should " Never Ever " suggest such a thing.

 

meaglyn "As for being backward compatible there are ways of going about it. However it would require a little work on the players side.

Have blank haks with the same names of the old haks, then open the module that uses the old CEP in the toolset (Do not click on an area) click Edit > Module Properties > Custom Content Tab. From here you can add the Nnew CEP haks and get rid of any or all of the old ones. Click OK then you can even rename the module if you like. This would work with no problem as long as the New CEP haks have all the same info as the old ones has in them.

 

JFK " As for which haks I would or would not use. Well I may only want creatures and may be only one Tileset. So there for, I wouldn't want all the scripts, items, placeables, or other tilesets in my module.

 

But do whatever makes all of you happy. Again I know how to retexture, create models, and haks my self, so no matter what is done with CEP won't really effect me much. I was just trying to look out for the future of the community as a whole.

Have fun and take care.

  • up
    0%
  • down
    100%
The Amethyst Dragon

Added several additional things to vote on. Removed a couple for things that I forgot were already included in 2.62 (is my memory getting that bad?).

  • up
    100%
  • down
    0%
meaglyn

I don't consider asking players to edit modules to be backward compatible. 

 

  • up
    100%
  • down
    0%
Tarot Redhand

<places tongue firmly in cheek>

is my memory getting that bad?

Yes?

TR

  • up
    50%
  • down
    50%
The Amethyst Dragon

Added a couple more things to the polls (topiary guardians and alternative flesh golems).

 

  • up
    50%
  • down
    50%